@charset "UTF-8";

/* バリエーション切り替えボタン */
.block-variation .block-variation--item-dropdown {
  margin: 20px 0;
}

.block-color--item-list {
  display: flex;
  flex-wrap: wrap;
  gap: 4px 10px;
  align-items: stretch;
}

.block-variation--item {
  width: calc((100% - 30px) /4);
  margin: 0;
  padding: 0;

  &[class$="disable-stock"] {
    dd span {
      color: #cccccc;
    }

    &:first-child {
      &.active {
        dt {
          border-color: var(--cl-dn, #d9534f) !important;
        }
        dd span {
          color: var(--cl-dn, #d9534f) !important;
        }
      }
    }
  }

  &.active {
    dd span {
      color: var(--col_Gold, #baa66d);
    }
  }

  dt.block-variation--item-term {
    box-sizing: border-box;
    display: block;
    position: relative;
    width: unset;
    height: unset;
    margin-bottom: 2px;
    border: 1px solid #00000028;
    transition: 0.3s;
    background: #ffffff;

    .block-variation--item:hover & {
      border: 2px solid #999999;
    }

    :is([class$=disable-stock]) & {
      border: 2px dashed #00000028;
      background-color: #f5f5f6;
      flex-grow: 1;
      display: flex;
      justify-content: center;
      align-items: center;
      aspect-ratio: 1/1;

      figure {
        border: 0;
        img {
          mix-blend-mode: multiply;
          opacity: 50%;
        }
      }
      dl:first-child & figure img {
        opacity: 100%;
      }
    }

    .block-color--item.active & {
      border-width: 2px;
      border-color: var(--col_Gold, #baa66d);
    }

    figure {
      img {
        background: #ffffff;
      }
    }
  }

  &:hover {
    span {
      color: var(--col_Gold, #baa66d);
      text-decoration: underline;
      transition: 0.3s;
    }
  }
}

.block-variation--item-description {
  display: flex;
  text-align: center;
  justify-content: center;
  overflow: hidden;
}

.block-color--item-description {
  span {
    display: block;
    font-size: 1.2rem;
    font-weight: normal;
    word-break: break-all;
    height: 19px;
    overflow: hidden;
    width: 100%;
    text-align: center;
    text-overflow: ellipsis;
    font-feature-settings: "palt";
    white-space: nowrap;
    color: var(--cl-a, #433d37);

    .active & {
      color: var(--col_Gold, #baa66d);
      font-weight: 600;
      text-decoration: none !important;
    }
  }
}

.block-size--item-list {
  display: flex;
  flex-wrap: wrap;
  margin: 0 0 16px;
  gap: 10px;

  dl {
    width: calc((100% - 10px) /2);
    margin: 0;
    padding: 0;

    &.block-variation--item {
      dt {
        background: #f5f5f6;
        width: 100%;

        span {
          display: flex;
          width: 100%;
          line-height: 1.35;
          text-align: center;
          align-items: center;
          justify-content: center;
          word-break: auto-phrase;
        }
      }

      &.active dt {
        width: 100%;
        color: #ffffff;
        background: #666666;
        border-color: var(--col_Gold, #baa66d) !important;
      }
    }
  }
}

/*---- ジャンルページ/商品一覧 ----*/
.block-genre-page .block-genre-page--header-img {
  width: 100%;
  margin-top: 0;
}

/*---- 商品詳細 ----*/
.page-goods .bx-wrapper .bx-controls-direction {
  a {
    border: 1px solid transparent;
    margin: 0;
    top: 0;
    width: 50px;
    height: 100%;
    background: rgb(255 255 255 /0) none;
    z-index: unset;
    transition: 0.4s;
    opacity: 25%;

    &::before {
      content: "";
      display: block;
      width: 50px;
      aspect-ratio: 1 / 1;
      position: absolute;
      top: 50%;
      left: 0;
      transform: translateY(-50%);
      background: transparent url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2250%22%20height%3D%2250%22%3E%3Cpath%20d%3D%22M30%2015%2020%2025l10%2010%22%20fill%3D%22none%22%20stroke%3D%22%23464748%22%20stroke-linejoin%3D%22round%22%2F%3E%3C%2Fsvg%3E') no-repeat 50% 50% /contain;
    }

    &:hover {
      border-color: rgb(255 255 255 /50%);
      opacity: 70%;
      background-color: rgb(255 255 255 /50%);
    }

    &.bx-prev {
      left: 0;
    }
    &.bx-next {
      right: 0;
      transform: rotate(180deg);
    }
  }

}

.block-add-cart .block-add-cart--btn {
}

.block-goods-detail .pane-goods-right-side {
  width: auto;
  padding: 0;

  form {
    .block-icon {
      margin-top: -4.6rem;;
      scale: calc(24 / 22);
      transform-origin: right 0;
      justify-content: end;
    }
  }

  /*---- レコメンド ----*/
  .block-accessory-list--list {
    background: var(--col_paleGray, #f5f5f6);
    padding: 10px 16px;
    margin: 0;

    .block-accessory-list--name {
      margin: 50px 0 20px;
      padding: 0 0 16px;
      text-align: center;
      font-size: 1.8rem;

      &::after {
        content: "";
        display: block;
        position: absolute;
        bottom: 0;
        left: 50%;
        width: 2em;
        margin-left: -1em;
        height: 2px;
        background-color: #444444;
      }
    }

    /*---- 他のアイテム ----*/
    ul.block-pickup-list-p--items {
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
      gap: 10px;
      border-bottom: 1px solid #eeeeee;
      padding-bottom: 10px;

      li {
        display: flex;
        gap: 10px;
        margin: 0;
        width: 100%;
        flex-basis: 100%;

        .block-pickup-list-p--item-body {
          align-items: stretch;
          width: unset;
          flex-basis: 100%;
          flex-direction: row;
          gap: 10px;
          border-top: 1px solid #eeeeee;
          padding-top: 10px;
          min-height: 100px;

          &:has(.block-pickup-list-p--image:hover) .block-pickup-list-p--goods-name a {
            color: var(--col_Gold, #baa66d);
            text-decoration: underline;
          }

          .block-pickup-list-p--image {
            width: 146px;

            figure {
              width: 146px;
              height: 146px;
              background: #ffffff;
            }
          }

          .block-pickup-list-p--item-description {
            display: grid;
            grid-template: auto auto auto 1fr auto / auto 60%;
            margin: 0;
            padding: 0;

            .block-icon {
              margin: 0 0 6px;
              height: 22px;
              grid-row: 1 / 2;
              grid-column: 1 / 3;

              span {
                display: inline-block;

                img {
                  vertical-align: bottom;
                }
              }
            }

            .block-pickup-list-p--goods-name {
              margin: 0;
              height: auto;
              grid-row: 2 / 3;
              grid-column: 1 / 3;

              a {
                line-height: 1.5;
                font-size: 1.6rem;

                &:hover {
                  color: var(--col_Gold, #baa66d);
                  text-decoration: underline;
                }
              }
            }

            div.variation-name {
              grid-row: 3 / 4;
              grid-column: 1 / 3;
            }

            .block-pickup-list-p--comment {
              margin: 4px 0 0;
              padding: 0;
              line-height: 1.1;
              font-size: 1.3rem;
              grid-row: 4 / 5;
              grid-column: 1 / 3;
            }

            .block-pickup-list-p--price-infos {
              flex-basis: 40%;
              align-self: center;
              margin-top: 12px;
              grid-row: 5 / 6;

              .price {
                margin: 0;
                text-align: left;
                font-weight: 600;
              }
            }

            .block-pickup-list-p--add-cart {
              display: block;
              grid-row: 5 / 6;
            }
          }
        }
      }
    }

    /*---- こんな商品も買っています ----*/
    ul.block-thumbnail-h {
      justify-content: center;
      gap: 16px;

      .block-accessory-list--list:has(&) {
        padding: 16px;
      }

      li {
        width: calc((100% - 16px) /2);
        padding: 8px;
        background: #ffffff;

        figure {
          padding: 0;
        }
      }
    }
  }
}

.goods-embCata {
  margin: 50px auto 0;
  padding: 0 0 30px;
  text-align: center;
  border-bottom: 1px solid #eeeeee;

  h2 {
    margin: 0 auto 30px;
    padding: 0 0 10px;
    border-bottom: 1px solid #eeeeee;
  }

  iframe {
    margin: 0 auto;
    width: 1010px;
    height: 680px;
    transition: 0.3s;

    &.appr {
      display: block;
      opacity: 100%;
    }
  }
}

.pane-goods-center {
  .eGift-block,
  .item-detail-qty {
    display:none !important;
  }
}

/*---- 数量変更 ----*/
.item-detail-qty {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
  margin: 16px 0 0 0;
  order: 260;

  span {
    width: 3em;
  }

  &::after {
    content: "";
    display: block;
    width: 3em;
  }

  > div {
      display: flex;
      align-items: center;

    .item-btn,
    .js-qty-btn {
      display: block;
      position: relative;
      width: 50px;
      aspect-ratio: 1 / 1;
      margin: 0;
      padding: 0;
      background-color: #f5f5f6;
      background-position: center;
      background-repeat: no-repeat;
      border: 1px solid #e5e5e5;
      cursor: pointer;

      &:hover {
        border-color: var(--col_Gold, #baa66d);
      }

      &.js-qty-minus {
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
        background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iMTIiIHZpZXdCb3g9IjAgMCAxMiAxMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cmVjdCB5PSI1IiB3aWR0aD0iMTIiIGhlaWdodD0iMiIgZmlsbD0iIzQ0NDQ0NCIvPjwvc3ZnPg==");
        background-size: 12px 12px;
      }

      &.js-qty-plus {
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
        background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iMTIiIHZpZXdCb3g9IjAgMCAxMiAxMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cmVjdCB5PSI1IiB3aWR0aD0iMTIiIGhlaWdodD0iMiIgZmlsbD0iIzQ0NDQ0NCIvPjxyZWN0IHg9IjciIHdpZHRoPSIxMiIgaGVpZ2h0PSIyIiBmaWxsPSIjNDQ0NDQ0IiB0cmFuc2Zvcm09InJvdGF0ZSg5MCA3IDApIi8+PC9zdmc+");
        background-size: 12px 12px;
      }
    }

    input[type="number"] {
      width: 4.5em;
      height: 50px;
      margin: 0;
      padding: 0;
      border: 1px solid #e5e5e5;
      border-width: 1px 0;
      border-radius: 0;
      font-size: 1.6rem;
      text-align: center;
      -moz-appearance: textfield;

      &::-webkit-outer-spin-button,
      &::-webkit-inner-spin-button {
        margin: 0;
        -webkit-appearance: none;
      }
    }
  }
}
